View Issue Details

IDProjectCategoryView StatusLast Update
0000709ScribusUser Interfacepublic2005-11-30 23:35
Reportermhanski Assigned Tocbradney  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.3.2cvs 
Summary0000709: Switched Yes/No and Yes/No/Cancel dialogues
DescriptionThis is certainly not a priority one case, but perhaps it would serve the usability to accustom diverse Yes/No and Yes/No/Cancel dialogues to what the user most often expects. IMO, No/Yes dialogs should be switched to Yes/No (see screen shot 1). I'm not as certain regarding the three choice dialogues, but I think, the order should be from the highest to the least probability, i.e. Yes/No/Cancel respectively Close/Save/Cancel (see screenshot 2). Last but not least an example, that some dialogues in Scribus follow this rule (screen shot 3).
TagsNo tags attached.
Patch

Relationships

related to 0003821 acknowledged Metabug: Usability 

Activities

2004-05-24 20:41

 

2options.png (30,887 bytes)
2options.png (30,887 bytes)

2004-05-24 20:42

 

3options.png (9,737 bytes)
3options.png (9,737 bytes)

2004-05-24 20:42

 

Save_Cancel.png (43,273 bytes)
Save_Cancel.png (43,273 bytes)

subik

2004-05-25 06:37

manager   ~0001570

i agree and i'm able to do it

malex

2004-05-25 14:15

administrator   ~0001574

I already raised this issue some time ago. Franz was adamantly against it as the proposed way does not conform to the Apple HIG. Please talk to him before you start changing the dialogs.

jo-hannes

2004-05-25 17:31

developer   ~0001575

what means APPLE HIG? i agree with subik and mhansky, i also made this proposal but cbradney said there is no real standard although im also known to yes-no-cancel

cbradney

2004-05-25 18:59

administrator   ~0001576

The decision was made previously that as is used in various systems, the default should be on the left, whether this be yes or no.

fschmid

2004-05-25 18:59

administrator   ~0001577

malex, that thing with the HIG (Apple Human Interface Guidelines) was only meant for the default button being used, not for the placement of the buttons itself.

redrat

2004-06-24 22:33

reporter   ~0001843

I find the current button layout really irritating. I think scribus should follow the button layout of kde. It almost looks like a KDE application and it's confusing for people who use KDE and Scribus. Applications look a like but behave different...

(and btw. I thought scribus is mainly an linux application. I make no sense to use the _APPLE_ hig). Maybe there's a way this is configureable or it's plattform based...)

subik

2005-04-04 07:23

manager   ~0004062

I've browsed whole 1.3cvs - it seems everything is reworked "KDE way". Maciej, malex do you agree?

cbradney

2005-04-04 15:12

administrator   ~0004064

No, theres plenty that are No-Yes. My plans were to be able to set this, or detect the WM if user requested, and then let the dialog swap them around. Its not that hard. We should not be coding for KDE or Gnome, but allowing switching based on user prefs.

cbradney

2005-10-04 22:17

administrator   ~0006913

I have started to implement a new message dialog class that can switch based on environment, ie Win32, OSX, Gnome or KDE. Eg, the new File Revert warning dialog.

ringerc

2005-11-05 04:18

reporter   ~0007327

MrB, is this done? It looks like it is at least partially.

cbradney

2005-11-05 12:04

administrator   ~0007329

Its partially done, but I havent scoured all sources for QMessageBox:: calls yet. Just done the ones I have come across.

Issue History

Date Modified Username Field Change
2004-05-24 20:41 mhanski New Issue
2004-05-24 20:41 mhanski File Added: 2options.png
2004-05-24 20:42 mhanski File Added: 3options.png
2004-05-24 20:42 mhanski File Added: Save_Cancel.png
2004-05-25 06:37 subik Note Added: 0001570
2004-05-25 06:37 subik Status new => assigned
2004-05-25 06:37 subik Assigned To => subik
2004-05-25 14:15 malex Note Added: 0001574
2004-05-25 17:31 jo-hannes Note Added: 0001575
2004-05-25 18:59 cbradney Note Added: 0001576
2004-05-25 18:59 fschmid Note Added: 0001577
2004-06-24 22:33 redrat Note Added: 0001843
2005-04-04 07:23 subik Note Added: 0004062
2005-04-04 07:23 subik Status assigned => feedback
2005-04-04 15:12 cbradney Note Added: 0004064
2005-10-04 22:16 cbradney Status feedback => assigned
2005-10-04 22:16 cbradney Assigned To subik => cbradney
2005-10-04 22:17 cbradney Note Added: 0006913
2005-11-05 04:18 ringerc Note Added: 0007327
2005-11-05 12:04 cbradney Note Added: 0007329
2005-11-25 22:11 cbradney Status assigned => resolved
2005-11-25 22:11 cbradney Fixed in Version => 1.3.2cvs
2005-11-25 22:11 cbradney Resolution open => fixed
2005-11-30 23:35 cbradney Status resolved => closed
2006-05-15 18:12 christoph_s Relationship added related to 0003821